Index: XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90
===================================================================
--- XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90	(revision 1780)
+++ XIOS/dev/dev_ym/XIOS_COUPLING/src/interface/fortran_attr/ireduce_axis_to_scalar_attr.F90	(revision 2338)
@@ -12,9 +12,11 @@
 
   SUBROUTINE xios(set_reduce_axis_to_scalar_attr)  &
-    ( reduce_axis_to_scalar_id, operation )
+    ( reduce_axis_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
@@ -22,26 +24,36 @@
       (reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
       CALL xios(set_reduce_axis_to_scalar_attr_hdl_)   &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(set_reduce_axis_to_scalar_attr)
 
   SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl)  &
-    ( reduce_axis_to_scalar_hdl, operation )
+    ( reduce_axis_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation
 
       CALL xios(set_reduce_axis_to_scalar_attr_hdl_)  &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl)
 
   SUBROUTINE xios(set_reduce_axis_to_scalar_attr_hdl_)   &
-    ( reduce_axis_to_scalar_hdl, operation_ )
+    ( reduce_axis_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(IN) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: operation_
+
+      IF (PRESENT(local_)) THEN
+        local__tmp = local_
+        CALL cxios_set_reduce_axis_to_scalar_local &
+      (reduce_axis_to_scalar_hdl%daddr, local__tmp)
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
@@ -53,9 +65,11 @@
 
   SUBROUTINE xios(get_reduce_axis_to_scalar_attr)  &
-    ( reduce_axis_to_scalar_id, operation )
+    ( reduce_axis_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
@@ -63,26 +77,36 @@
       (reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
       CALL xios(get_reduce_axis_to_scalar_attr_hdl_)   &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(get_reduce_axis_to_scalar_attr)
 
   SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl)  &
-    ( reduce_axis_to_scalar_hdl, operation )
+    ( reduce_axis_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local
+      LOGICAL (KIND=C_BOOL) :: local_tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation
 
       CALL xios(get_reduce_axis_to_scalar_attr_hdl_)  &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl)
 
   SUBROUTINE xios(get_reduce_axis_to_scalar_attr_hdl_)   &
-    ( reduce_axis_to_scalar_hdl, operation_ )
+    ( reduce_axis_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL  , OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL (KIND=C_BOOL) :: local__tmp
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: operation_
+
+      IF (PRESENT(local_)) THEN
+        CALL cxios_get_reduce_axis_to_scalar_local &
+      (reduce_axis_to_scalar_hdl%daddr, local__tmp)
+        local_ = local__tmp
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
@@ -94,9 +118,11 @@
 
   SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr)  &
-    ( reduce_axis_to_scalar_id, operation )
+    ( reduce_axis_to_scalar_id, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar))  :: reduce_axis_to_scalar_hdl
       CHARACTER(LEN=*), INTENT(IN) ::reduce_axis_to_scalar_id
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
@@ -105,28 +131,38 @@
       (reduce_axis_to_scalar_id,reduce_axis_to_scalar_hdl)
       CALL xios(is_defined_reduce_axis_to_scalar_attr_hdl_)   &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr)
 
   SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl)  &
-    ( reduce_axis_to_scalar_hdl, operation )
+    ( reduce_axis_to_scalar_hdl, local, operation )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local
+      LOGICAL(KIND=C_BOOL) :: local_tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation
       LOGICAL(KIND=C_BOOL) :: operation_tmp
 
       CALL xios(is_defined_reduce_axis_to_scalar_attr_hdl_)  &
-      ( reduce_axis_to_scalar_hdl, operation )
+      ( reduce_axis_to_scalar_hdl, local, operation )
 
   END SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl)
 
   SUBROUTINE xios(is_defined_reduce_axis_to_scalar_attr_hdl_)   &
-    ( reduce_axis_to_scalar_hdl, operation_ )
+    ( reduce_axis_to_scalar_hdl, local_, operation_ )
 
     IMPLICIT NONE
       TYPE(txios(reduce_axis_to_scalar)) , INTENT(IN) :: reduce_axis_to_scalar_hdl
+      LOGICAL, OPTIONAL, INTENT(OUT) :: local_
+      LOGICAL(KIND=C_BOOL) :: local__tmp
       LOGICAL, OPTIONAL, INTENT(OUT) :: operation_
       LOGICAL(KIND=C_BOOL) :: operation__tmp
+
+      IF (PRESENT(local_)) THEN
+        local__tmp = cxios_is_defined_reduce_axis_to_scalar_local &
+      (reduce_axis_to_scalar_hdl%daddr)
+        local_ = local__tmp
+      ENDIF
 
       IF (PRESENT(operation_)) THEN
